Bug 184453 - REGRESSION (r230445): Layout Test imported/w3c/web-platform-tests/workers/name-property.html is a flaky failure
Summary: REGRESSION (r230445): Layout Test imported/w3c/web-platform-tests/workers/nam...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-10 10:02 PDT by Ryan Haddad
Modified: 2019-05-08 12:50 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2018-04-10 10:02:46 PDT
The following layout test is flaky on all ports.

imported/w3c/web-platform-tests/workers/name-property.html

Probable cause:

This started with the WPT re-sync in https://trac.webkit.org/changeset/230445/webkit

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Fworkers%2Fname-property.html

--- /Volumes/Data/slave/highsierra-release-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/workers/name-property-expected.txt
+++ /Volumes/Data/slave/highsierra-release-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/workers/name-property-actual.txt
@@ -1,7 +1,7 @@
 CONSOLE MESSAGE: line 20: ReferenceError: Can't find variable: SharedWorker
 
 FAIL Test the name property of shared and dedicated workers via the name constructor option ReferenceError: Can't find variable: SharedWorker
+FAIL name property value for DedicatedWorkerGlobalScope assert_true: property exists on the global expected true got false
 PASS Declaring name as an accidental global must not cause a harness error for DedicatedWorkerGlobalScope 
-FAIL name property value for DedicatedWorkerGlobalScope assert_true: property exists on the global expected true got false
 PASS name property is replaceable for DedicatedWorkerGlobalScope
Comment 1 Ryan Haddad 2018-04-10 10:08:32 PDT
Marked test as flaky in https://trac.webkit.org/r230483
Comment 2 Simon Pieters (:zcorpan) 2018-06-21 05:14:12 PDT
The test was fixed in https://github.com/web-platform-tests/wpt/pull/11186

Can TestExpectations be updated?
Comment 3 Ryan Haddad 2018-06-21 08:30:26 PDT
(In reply to Simon Pieters from comment #2)
> The test was fixed in https://github.com/web-platform-tests/wpt/pull/11186
> 
> Can TestExpectations be updated?
I don't think anyone has merged the fix into our repo, as the test is still frequently failing according to https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Fworkers%2Fname-property.html
Comment 4 Simon Pieters (:zcorpan) 2019-05-08 12:50:55 PDT
Has the test been imported now? Can it be imported and enabled?

It would be *nice* with automatic two-way sync for wpt<->WebKit. :-)